package com.ruoyi.project.zjsgfa.mapper;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjFdsgcsDcyx;

/**
 * 设计-分段施工措施-地层岩性Mapper接口
 * 
 * @author ruoyi
 * @date 2025-08-06
 */
public interface SjFdsgcsDcyxMapper 
{
    /**
     * 查询设计-分段施工措施-地层岩性
     * 
     * @param id 设计-分段施工措施-地层岩性主键
     * @return 设计-分段施工措施-地层岩性
     */
    public SjFdsgcsDcyx selectSjFdsgcsDcyxById(Long id);

    /**
     * 查询设计-分段施工措施-地层岩性列表
     * 
     * @param sjFdsgcsDcyx 设计-分段施工措施-地层岩性
     * @return 设计-分段施工措施-地层岩性集合
     */
    public List<SjFdsgcsDcyx> selectSjFdsgcsDcyxList(SjFdsgcsDcyx sjFdsgcsDcyx);

    /**
     * 新增设计-分段施工措施-地层岩性
     * 
     * @param sjFdsgcsDcyx 设计-分段施工措施-地层岩性
     * @return 结果
     */
    public int insertSjFdsgcsDcyx(SjFdsgcsDcyx sjFdsgcsDcyx);

    /**
     * 修改设计-分段施工措施-地层岩性
     * 
     * @param sjFdsgcsDcyx 设计-分段施工措施-地层岩性
     * @return 结果
     */
    public int updateSjFdsgcsDcyx(SjFdsgcsDcyx sjFdsgcsDcyx);

    /**
     * 删除设计-分段施工措施-地层岩性
     * 
     * @param id 设计-分段施工措施-地层岩性主键
     * @return 结果
     */
    public int deleteSjFdsgcsDcyxById(Long id);

    /**
     * 批量删除设计-分段施工措施-地层岩性
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjFdsgcsDcyxByIds(Long[] ids);

    int deleteSjFdsgcsDcyxByJh(String jh);

    int insertSjFdsgcsDcyxBatch(List<SjFdsgcsDcyx> sjFdsgcsDcyxList);

    List<SjFdsgcsDcyx> getListByJh(SjFdsgcsDcyx sjFdsgcsDcyx);

}
